#include <iostream>
#include <sstream>
#include <algorithm>
#include <vector>
using namespace std;

/* Имеется N городов, каждый из которых имеет целые координаты. 
   Расстояние между двумя городами определяется как |x1-x2|+|y1-y2|.
   Требуется построить n+1 город и сделать его столицей (координаты должны быть целыми).
   Место для столицы выбирается так, чтобы среднее арифметическое расстояний между столицей
   и остальными городами было наименьшим и столица не должна стоять на уже построенном городе.
   На вход подается N - количество городов (1<=N<=100); пары целых чисел, не превышающих 1000
   по абсолютной величине - координаты городов.
   На выходе два целых числа X и Y - координаты столицы. */

struct town { 
   int x, y;
   town( int x = 0, int y = 0 ) {
      this->x = x; this->y = y;
   }
   town operator +( town shf ) {
      return town( x + shf.x, y + shf.y ); 
   } 
   inline unsigned operator -( const town& t ) {
      return abs( x - t.x ) + abs( y - t.y );
   }
   inline bool operator ==( const town& t ) {
      return x == t.x && y == t.y;
   }
};

ostream& operator <<( ostream& out, const town& t ) {
   char s[ 10 ];
   sprintf( s, "<%+03d,%+03d>", t.x, t.y ); 
   return out << s; 
}

unsigned summa( vector<town>& country, town point ) {
   unsigned ret = 0;
   for( auto &x : country ) ret += ( x - point );    
   return ret;
}
